package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag47ACreator extends AbsTagCreate {

     private MT710Creator mt710Creator;

    public Tag47ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public void creator()
    {
        String tag47AValue = mt710Creator.getAdditionalConditions();
        mt710Creator.set("47A", tag47AValue);
    }
}

